// Experiment no.9.r
//
//  4/26/93 - dmh - Thrown on the grill.
//  9/10/93 - dmh - Updated for b2.
//			- Neutralized some nasty bugs.
// 12/18/93 - dmh - Updated for b3.
//  2/22/94 - dmh - Updated for b4.
//  5/3/94  - dmh - Updated for f2.
//  7/13/94 - dmh - Enabled printer resolution code.
//  6/14/96 - cn  - Updated to support Universal Interfaces 2.1.
//
// Note: Resources are listed in MPW's "Mark" menu.
//

#define SystemSevenOrLater	1
#define oldTemp				1		/* Needed because MPW 3.3.1's Types.r	*/
									/* file	has a screwed up 'cicn'			*/
									/* declaration.							*/
#include "SysTypes.r"
#include "Types.r"
// #include <GXPrinting.h>
#include "GXPrintingResTypes.r"

#define AppName					"Experiment #9"
#define kCreator				'Ex#9'
#define kDocumentType			'Do'


		// Type & ID of our panel settings collection item.

#define kMyKindaCollectionType	kCreator
#define kMyKindaCollectionTagID	gxPrintingTagID +1


#define kPrefSize				140		/* Defines for the 'SIZE' resource.	*/
#define kMinSize				100

#define r_menuBar				128		/* Menu resource IDs.				*/
#define mApple					128
#define mFile					129
#define mEdit					130
#define mTest					131

#define r_FinderBNDL			128		/* BNDL and FREF resource IDs.		*/
#define r_refAppl				130
#define r_refDoc				131

#define r_ApplicationIcon		5000	/* ID of our panel and app icon.	*/
#define r_DocumentIcon			5001	/* ID of our document icon.			*/

#define r_MyFormatPanelResID	6000	/* ID of our panel resource.		*/
#define r_dayPopUpCtl			150		/* ID of our panel's pop-up CNTL.	*/
#define r_dayPopUpMenu			160		/* ID of our panel's pop-up menu.	*/

#define r_aboutDlog				321		/* ID of our "About" dialog.		*/
#define r_msgDlog				123		/* ID of our message dialog.		*/
#define r_printerInfoDlog		140		/* ID of our printer info dialog.	*/


/*********** Menu resources: ***********/

resource 'MBAR' (r_menuBar, "Menu bar", preload) {
	{mApple, mFile, mEdit, mTest}
};


resource 'MENU' (mApple, "Apple menu", preload) {
	mApple,
	textMenuProc,
	0b11111111111111111111111111111101,
	enabled,
	apple,
	{	
		"About " AppName "", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain
	}
};


resource 'MENU' (mFile, "File menu", preload) {
	mFile,
	textMenuProc,
	0,
	enabled,
	"File",
	{
		"New", noIcon, "N", noMark, plain,
		"Open", noIcon, "O", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Close", noIcon, "W", noMark, plain,
		"Save", noIcon, "S", noMark, plain,
		"Save as", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Insert Page", noIcon, "I", noMark, plain,
		"Delete Page", noIcon, "D", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Page Setup", noIcon, noKey, noMark, plain,
		"Custom Page Setup", noIcon, noKey, noMark, plain,
		"Print", noIcon, "P", noMark, plain,
		"Print One Copy", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Quit", noIcon, "Q", noMark, plain
	}
};


resource 'MENU' (mEdit, "Edit menu", preload) {
	mEdit,
	textMenuProc,
	0,
	disabled,
	"Edit",
	{
		"Undo", noIcon, "Z", noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Cut", noIcon, "X", noMark, plain,
		"Copy", noIcon, "C", noMark, plain,
		"Paste", noIcon, "V", noMark, plain,
		"Clear", noIcon, noKey, noMark, plain
	}
};


resource 'MENU' (mTest, "Test menu", preload) {
	mTest,
	textMenuProc,
	0,
	enabled,
	"Test",
	{
		"Go ahead a page", noIcon, ".", noMark, plain,
		"Go back a page", noIcon, ",", noMark, plain,
		"Apply above page's format to current page", noIcon, noKey, noMark, plain,
		"Add form to page's format", noIcon, noKey, noMark, plain,
		"Remove form from page's format", noIcon, noKey, noMark, plain,
		"Get number of copies in job", noIcon, noKey, noMark, plain,
		"Get number of pages in file", noIcon, noKey, noMark, plain,
		"Show printer info for document's job", noIcon, noKey, noMark, plain,
		"Perform Set/GetJobRefCon test", noIcon, noKey, noMark, plain,
		"Replace page with page 1 from print file", noIcon, noKey, noMark, plain,
		"Get name of this page's papertype", noIcon, noKey, noMark, plain,
		"Get this page's papertype's dimensions", noIcon, noKey, noMark, plain,
		"Get names & dimensions of all document's papertypes", noIcon, noKey, noMark, plain,
		"-", noIcon, noKey, noMark, plain,
		"Show printer resolution", noIcon, noKey, noMark, plain
	}
};


/*=================== Print Dialog Panel Related Resources ==================== */


/*==== Description of the panel we add to the Page Setup dialog ==== */

resource gxPrintPanelType  (r_MyFormatPanelResID, sysheap, purgeable)
{
	"My override", smRoman, r_ApplicationIcon, r_MyFormatPanelResID
};


resource 'DITL' (r_MyFormatPanelResID, sysheap, purgeable) {
	{
		{42, 120, 60, 166},
		RadioButton {
			enabled,
			"Off"
		},
		{42, 175, 60, 220},
		RadioButton {
			enabled,
			"On"
		},
		{14, 27, 35, 323},	// Represents the days of the week pop-up menu.
		Control {
			enabled,
			r_dayPopUpCtl
		}
	}
};


resource 'CNTL' (r_dayPopUpCtl, sysheap, purgeable)
{
	{72, 4, 93, 300},
	popupTitleLeftJust,					 // menu's title is left justified.
	visible,							 // show it.
	140,								 // width of the menu title.
	r_dayPopUpMenu,						 // resource ID of the associated menu.
	popupMenuCDEFproc +popupFixedWidth,  // type of pop-up menu.
	0,									 // refCon.
	"Best Day of the Week:"				 // control's title.
};


/*======= 'xdtl' describing how to process the items in the Print Dialog Panel ======= */

resource 'xdtl' (r_MyFormatPanelResID, sysheap, purgeable)
{
	{
		RadioButtons {kMyKindaCollectionType, kMyKindaCollectionTagID, 0, {1,2}},
		PopUp		 {kMyKindaCollectionType, kMyKindaCollectionTagID, 2, 3}
	};
};


resource 'MENU' (r_dayPopUpMenu, sysheap, purgeable) {
	r_dayPopUpMenu,
	textMenuProc,
	allEnabled,
	enabled,
	"",
	{
		"Sunday",	 noIcon, noKey, noMark, plain,
		"Monday",	 noIcon, noKey, noMark, plain,
		"Tuesday",	 noIcon, noKey, noMark, plain,
		"Wednesday", noIcon, noKey, noMark, plain,
		"Thursday",	 noIcon, noKey, noMark, plain,
		"Friday",	 noIcon, noKey, noMark, plain,
		"Saturday",	 noIcon, noKey, noMark, plain
	}
};


/*********** Misc. dialog resources: ***********/

resource 'DLOG' (r_AboutDlog, sysheap) {
	{40, 40, 159, 378},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	r_AboutDlog,
	"",
	noAutoCenter
};


resource 'DITL' (r_AboutDlog, sysheap) {
	{	/* array DITLarray: 4 elements */
		/* [1] */
		{91, 272, 111, 330},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{3, 3, 35, 35},
		Icon {
			disabled,
			r_ApplicationIcon
		},
		/* [3] */
		{5, 123, 21, 225},
		StaticText {
			disabled,
			AppName
		},
		/* [4] */
		{29, 46, 83, 330},
		StaticText {
			disabled,
			"An application stuffed with so many "
			"QuickDraw GX printing routines, "
			"you'd think it was a fat gorging rat."
		}
	}
};


resource 'DLOG' (r_msgDlog, sysheap) {
	{72, 37, 187, 325},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	r_msgDlog,
	"",
	noAutoCenter
};


resource 'DITL' (r_msgDlog, sysheap) {
	{	/* array DITLarray: 3 elements */
		/* [1] */
		{90, 222, 110, 280},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{20, 45, 85, 282},
		StaticText {
			disabled,
			""
		},
		/* [3] */
		{3, 3, 35, 35},
		Icon {
			disabled,
			r_ApplicationIcon
		}
	}
};


resource 'DLOG' (r_printerInfoDlog, sysheap) {
	{77, 78, 221, 413},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	r_printerInfoDlog,
	"",
	noAutoCenter
};


resource 'DITL' (r_printerInfoDlog, sysheap) {
	{	/* array DITLarray: 6 elements */
		/* [1] */
		{121, 269, 141, 327},
		Button {
			enabled,
			"OK"
		},
		/* [2] */
		{3, 3, 35, 35},
		Icon {
			disabled,
			r_ApplicationIcon
		},
		/* [3] */
		{7, 51, 22, 311},
		StaticText {
			disabled,
			"Printer information for this document:"
		},
		/* [4] */
		{41, 20, 58, 339},
		StaticText {
			disabled,
			"selected printer's name: ^0."
		},
		/* [5] */
		{61, 20, 78, 339},
		StaticText {
			disabled,
			"printer driver's name: ^1."
		},
		/* [6] */
		{81, 20, 98, 282},
		StaticText {
			disabled,
			"selected printing device's type: '^2'."
		},
		/* [7] */
		{101, 20, 118, 280},
		StaticText {
			disabled,
			"selected printer driver's type: '^3'."
		}
	}
};


resource 'vers' (1, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"1.0,  Apple Computer, Inc. 1993-1994"
};


resource 'vers' (2, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"GX printing sample"
};


resource 'SIZE' (-1, "Application attributes", sysheap, purgeable) {
	reserved,
	acceptSuspendResumeEvents,
	reserved,
	canBackground,
	multiFinderAware,
	backgroundAndForeground,
	dontGetFrontClicks,
	ignoreAppDiedEvents,
	is32BitCompatible,
	isHighLevelEventAware,
	localAndRemoteHLEvents,
	notStationeryAware,
	dontUseTextEditServices,
	reserved,
	reserved,
	reserved,
	kPrefSize * 1024,
	kMinSize  * 1024
};


resource 'BNDL' (r_FinderBNDL, sysheap, purgeable) {
	kCreator,
	0,
	{
		'FREF',
		{
			0, r_refAppl,
			1, r_refDoc
		},
		'ICN#',
		{
			0, r_ApplicationIcon,
			1, r_DocumentIcon
		}
	}
};


Type kCreator as 'STR ';

resource kCreator (0, "Owner resource", sysheap, purgeable) {
	"Experiment #9 #9 #9"
};


resource 'FREF' (r_refAppl, sysheap, purgeable) {
	'APPL',
	0,
	""
};


resource 'FREF' (r_refDoc, sysheap, purgeable) {
	kDocumentType,
	1,
	""
};


resource 'ics8' (r_ApplicationIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF 0000 0000 00FF"
	$"FFFF FF00 0000 0000 00FF FF00 00FF FFF6 F6F6 F6FF FF00 00FF FFFF"
	$"FFFF FFF6 F6F6 F6F6 F6F6 FF00 00FF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6FF FFF6 F6F6 F6F6 F6F6 F6FF FFF6 F6F6 F6FF FFFF FFFF FFF6 F6F6"
	$"F6FF F6F6 F6F6 F6FF 0000 00FF FFFF FFFF FFF6 FFF6 F6F6 FFFF 0000"
	$"FFFF FF00 00FF FFFF FFFF FFFF FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 FFFF 0000 0000 0000 0000 0000 0000 00FF FFFF 0000 0000 0000"
	$"0000 0000 0000 FFFF FF00 0000 0000 0000 0000 0000 00FF FFFF 0000"
	$"0000 0000 0000 0000 FFFF FFFF 0000 0000 0000 0000 0000 FFFF FF"
};


resource 'ics8' (r_DocumentIcon, sysheap, purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF FF00 0000 0000 FF92 9292 9292 9292"
	$"92FF 00FF 0000 0000 FF92 9292 9292 9292 92FF FFFF 0000 0000 FF92"
	$"9292 9292 9292 9292 92FF 0000 0000 FF92 9292 9292 9292 9292 92FF"
	$"0000 0000 FF92 9292 FFFF 9292 92FF FFFF 0000 0000 FF92 92FF FFFF"
	$"FFFF FFF6 F6FF 0000 0000 FF92 FFF6 F6F6 F6F6 F6F6 F6FF 0000 0000"
	$"FFFF FFFF F6F6 F6F6 F6F6 F6FF 0000 0000 FFFF FFFF F6FF F6F6 F6F6"
	$"FFFF 0000 0000 FF92 9292 FFFF F6FF F6F6 F6FF 0000 0000 FF92 92FF"
	$"FFFF FFFF FFFF FFFF 0000 0000 FF92 9292 9292 9292 FFFF FFFF 0000"
	$"0000 FF92 9292 9292 9292 9292 92FF 0000 0000 FF92 9292 9292 9292"
	$"9292 92FF 0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
};


resource 'ics4' (r_ApplicationIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 000F 0000 0FFF F000 000F F00F FCCC CFF0 0FFF"
	$"FFFC CCCC CCF0 0FFC CCCC CCCC CCCF FCCC CCCC CFFC CCCF FFFF FCCC"
	$"CFCC CCCF 000F FFFF FCFC CCFF 00FF F00F FFFF FFFF 0000 0000 0000"
	$"00FF 0000 0000 0000 0FFF 0000 0000 0000 FFF0 0000 0000 000F FF00"
	$"0000 0000 FFFF 0000 0000 00FF F0"
};


resource 'ics4' (r_DocumentIcon, sysheap, purgeable) {
	$"00FF FFFF FFFF F000 00F8 8888 888F 0F00 00F8 8888 888F FF00 00F8"
	$"8888 8888 8F00 00F8 8888 8888 8F00 00F8 88FF 888F FF00 00F8 8FFF"
	$"FFFC CF00 00F8 FCCC CCCC CF00 00FF FFCC CCCC CF00 00FF FFCF CCCC"
	$"FF00 00F8 88FF CFCC CF00 00F8 8FFF FFFF FF00 00F8 8888 88FF FF00"
	$"00F8 8888 8888 8F00 00F8 8888 8888 8F00 00FF FFFF FFFF FF"
};


resource 'ics#' (r_ApplicationIcon, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 1078 1986 7E02 6001 8061 F841 1FA3 39FF 0003 0007 000E 001C"
		$"00F0 0380",
		/* [2] */
		$"0000 1078 19FE 7FFE 7FFF FFFF FFFF 1FFF 39FF 0003 0007 000E 001C"
		$"00F0 0380"
	}
};


resource 'ics#' (r_DocumentIcon, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"3FF8 2014 201C 2004 2004 231C 27E4 2804 3C04 2D0C 2344 27FC 203C"
		$"2004 2004 3FFC",
		/* [2] */
		$"3FF8 3FFC 3FFC 3FFC 3FFC 3FFC 3FFC 3FFC 3FFC 3FFC 3FFC 3FFC 3FFC"
		$"3FFC 3FFC 3FFC"
	}
};


resource 'ICN#' (r_ApplicationIcon, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0000 0000 0100 3FC0 0280 C030 0283 0008 0E7C"
		$"0004 1000 0004 2000 0002 2800 0002 4000 0801 8000 1001 7C40 1001"
		$"0380 0001 0088 0801 037F 8C05 0FC1 F3FD 0001 FE05 0000 0005 0000"
		$"0006 0000 000A 0000 001C 0000 0028 0000 0050 0000 00E0 0000 03C0"
		$"0000 1F00 0000 F000 0007 80",
		/* [2] */
		$"0000 0000 0000 0000 0000 0000 0100 3FC0 0380 FFF0 0383 FFF8 0FFF"
		$"FFFC 1FFF FFFC 3FFF FFFE 3FFF FFFE 7FFF FFFF FFFF FFFF 7FFF FFFF"
		$"03FF FFFF 00FF FFFF 03FF FFFF 0FC1 FFFF 0001 FE07 0000 0007 0000"
		$"0006 0000 000E 0000 001C 0000 0038 0000 0070 0000 00E0 0000 03C0"
		$"0000 1F00 0000 F000 0007 80"
	}
};


resource 'ICN#' (r_DocumentIcon, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0FFF FF00 0800 0280 0800 0240 0800 0220 0800 03F0 0800 0010 0800"
		$"0010 0800 0010 0800 0010 0800 0010 0804 00F0 080A 0310 080A 0C10"
		$"0839 F010 0840 0010 0880 0010 08A0 0010 0900 0030 0A00 0050 09F1"
		$"0050 080E 0010 0802 2030 080D FE30 083F 07D0 0800 07F0 0800 0010"
		$"0800 0010 0800 0010 0800 0010 0800 0010 0800 0010 0FFF FFF0",
		/* [2] */
		$"0FFF FF00 0FFF FF80 0FFF FFC0 0FFF FFE0 0FFF FFF0 0FFF FFF0 0FFF"
		$"FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF"
		$"FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
		$"0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0 0FFF FFF0"
	}
};


resource 'icl8' (r_ApplicationIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF"
	$"0000 0000 0000 0000 0000 FFFF FFFF FFFF FFFF 0000 0000 0000 0000"
	$"0000 0000 FFF6 FF00 0000 0000 0000 FFFF F6F6 F6F6 F6F6 F6F6 FFFF"
	$"0000 0000 0000 0000 0000 FFF6 FF00 0000 0000 FFFF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FF00 0000 0000 0000 FFFF FFF6 F6FF FFFF FFFF F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 0000 00FF F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 0000 FFF6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"FF00 0000 FFF6 FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 FF00 00FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 FFF6 F6F6 F6F6 F6F6 F6F6 F6FF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 00FF FFFF FFFF"
	$"F6F6 F6FF F6F6 F6F6 F6F6 F6F6 F6FF F6F6 F6F6 F6F6 F6F6 F6F6 F6FF"
	$"0000 0000 0000 FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6FF 0000 0000 0000 0000 FFF6 F6F6 FFF6 F6F6 F6F6 F6F6"
	$"FFF6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 0000 0000 FFFF F6FF FFFF FFFF"
	$"FFFF FFF6 F6F6 FFFF F6F6 F6F6 F6F6 F6FF F6FF 0000 0000 FFFF FFFF"
	$"FFFF 0000 0000 00FF FFFF FFFF F6F6 FFFF FFFF FFFF FFFF F6FF 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FFFF FFFF FFFF FF00 0000 0000"
	$"00FF F6FF 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF F6FF 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 00FF FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 FFF6 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 FFF6 FF00 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF F6FF 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 FFFF FF00 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 FFFF FFFF 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 FFFF FFFF"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 00FF"
	$"FFFF FF"
};


resource 'icl8' (r_DocumentIcon, sysheap, purgeable) {
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF 0000"
	$"0000 0000 0000 0000 0000 FF92 9292 9292 9292 9292 9292 9292 9292"
	$"9292 FF00 FF00 0000 0000 0000 0000 0000 FF92 9292 9292 9292 9292"
	$"9292 9292 9292 9292 FF00 00FF 0000 0000 0000 0000 0000 FF92 9292"
	$"9292 9292 9292 9292 9292 9292 9292 FF00 0000 FF00 0000 0000 0000"
	$"0000 FF92 9292 9292 9292 9292 9292 9292 9292 9292 FFFF FFFF FFFF"
	$"0000 0000 0000 0000 FF92 9292 9292 9292 9292 9292 9292 9292 9292"
	$"9292 9292 92FF 0000 0000 0000 0000 FF92 9292 9292 9292 9292 9292"
	$"9292 9292 9292 9292 9292 92FF 0000 0000 0000 0000 FF92 9292 9292"
	$"9292 9292 9292 9292 9292 9292 9292 9292 92FF 0000 0000 0000 0000"
	$"FF92 9292 9292 9292 9292 9292 9292 9292 9292 9292 9292 92FF 0000"
	$"0000 0000 0000 FF92 9292 9292 9292 9292 9292 9292 9292 9292 9292"
	$"9292 92FF 0000 0000 0000 0000 FF92 9292 9292 9292 92FF 9292 9292"
	$"9292 9292 9292 FFFF FFFF 0000 0000 0000 0000 FF92 9292 9292 9292"
	$"FFF6 FF92 9292 9292 9292 FFFF F6F6 F6FF 0000 0000 0000 0000 FF92"
	$"9292 9292 9292 FFF6 FF92 9292 9292 FFFF F6F6 F6F6 F6FF 0000 0000"
	$"0000 0000 FF92 9292 9292 FFFF FFF6 F6FF FFFF FFFF F6F6 F6F6 F6F6"
	$"F6FF 0000 0000 0000 0000 FF92 9292 92FF F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6FF 0000 0000 0000 0000 FF92 9292 FFF6 F6F6 F6F6"
	$"F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 0000 0000 0000 FF92 9292"
	$"FFF6 FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 0000 0000"
	$"0000 FF92 92FF F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 FFFF"
	$"0000 0000 0000 0000 FF92 FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6 F6F6"
	$"F6F6 F6FF F6FF 0000 0000 0000 0000 FF92 92FF FFFF FFFF F6F6 F6FF"
	$"F6F6 F6F6 F6F6 F6F6 F6FF F6FF 0000 0000 0000 0000 FF92 9292 9292"
	$"9292 FFFF FFF6 F6F6 F6F6 F6F6 F6F6 F6F6 F6FF 0000 0000 0000 0000"
	$"FF92 9292 9292 9292 9292 FFF6 F6F6 FFF6 F6F6 F6F6 F6F6 FFFF 0000"
	$"0000 0000 0000 FF92 9292 9292 9292 FFFF F6FF FFFF FFFF FFFF FFF6"
	$"F6F6 FFFF 0000 0000 0000 0000 FF92 9292 9292 FFFF FFFF FFFF 9292"
	$"9292 92FF FFFF FFFF F6FF 0000 0000 0000 0000 FF92 9292 9292 9292"
	$"9292 9292 9292 9292 92FF FFFF FFFF FFFF 0000 0000 0000 0000 FF92"
	$"9292 9292 9292 9292 9292 9292 9292 9292 9292 9292 92FF 0000 0000"
	$"0000 0000 FF92 9292 9292 9292 9292 9292 9292 9292 9292 9292 9292"
	$"92FF 0000 0000 0000 0000 FF92 9292 9292 9292 9292 9292 9292 9292"
	$"9292 9292 9292 92FF 0000 0000 0000 0000 FF92 9292 9292 9292 9292"
	$"9292 9292 9292 9292 9292 9292 92FF 0000 0000 0000 0000 FF92 9292"
	$"9292 9292 9292 9292 9292 9292 9292 9292 9292 92FF 0000 0000 0000"
	$"0000 FF92 9292 9292 9292 9292 9292 9292 9292 9292 9292 9292 92FF"
	$"0000 0000 0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF"
};


resource 'icl4' (r_ApplicationIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 000F"
	$"0000 0000 00FF FFFF FF00 0000 0000 00FC F000 0000 FFCC CCCC CCFF"
	$"0000 0000 00FC F000 00FF CCCC CCCC CCCC F000 0000 FFFC CFFF FFCC"
	$"CCCC CCCC CCCC CF00 000F CCCC CCCC CCCC CCCC CCCC CCCC CF00 00FC"
	$"CCCC CCCC CCCC CCCC CCCC CCCC CCF0 00FC FCCC CCCC CCCC CCCC CCCC"
	$"CCCC CCF0 0FCC CCCC CCCC CCCC CCCC FCCC CCCC CCCF FCCC CCCC CCCC"
	$"CCCC CCCF CCCC CCCC CCCF 0FFF FFCC CFCC CCCC CCCF CCCC CCCC CCCF"
	$"0000 00FF FCCC CCCC CCCC CCCC CCCC CCCF 0000 0000 FCCC FCCC CCCC"
	$"FCCC CCCC CCCF 0000 00FF CFFF FFFF FCCC FFCC CCCC CFCF 0000 FFFF"
	$"FF00 000F FFFF CCFF FFFF FFCF 0000 0000 0000 000F FFFF FFF0 0000"
	$"0FCF 0000 0000 0000 0000 0000 0000 0000 0FCF 0000 0000 0000 0000"
	$"0000 0000 0000 0FF0 0000 0000 0000 0000 0000 0000 0000 FCF0 0000"
	$"0000 0000 0000 0000 0000 000F FF00 0000 0000 0000 0000 0000 0000"
	$"00FC F000 0000 0000 0000 0000 0000 0000 0FCF 0000 0000 0000 0000"
	$"0000 0000 0000 FFF0 0000 0000 0000 0000 0000 0000 00FF FF00 0000"
	$"0000 0000 0000 0000 000F FFFF 0000 0000 0000 0000 0000 0000 FFFF"
	$"0000 0000 0000 0000 0000 0000 0FFF F0"
};


resource 'icl4' (r_DocumentIcon, sysheap, purgeable) {
	$"0000 FFFF FFFF FFFF FFFF FFFF 0000 0000 0000 F888 8888 8888 8888"
	$"88F0 F000 0000 0000 F888 8888 8888 8888 88F0 0F00 0000 0000 F888"
	$"8888 8888 8888 88F0 00F0 0000 0000 F888 8888 8888 8888 88FF FFFF"
	$"0000 0000 F888 8888 8888 8888 8888 888F 0000 0000 F888 8888 8888"
	$"8888 8888 888F 0000 0000 F888 8888 8888 8888 8888 888F 0000 0000"
	$"F888 8888 8888 8888 8888 888F 0000 0000 F888 8888 8888 8888 8888"
	$"888F 0000 0000 F888 8888 8F88 8888 8888 FFFF 0000 0000 F888 8888"
	$"FCF8 8888 88FF CCCF 0000 0000 F888 8888 FCF8 8888 FFCC CCCF 0000"
	$"0000 F888 88FF FCCF FFFF CCCC CCCF 0000 0000 F888 8FCC CCCC CCCC"
	$"CCCC CCCF 0000 0000 F888 FCCC CCCC CCCC CCCC CCCF 0000 0000 F888"
	$"FCFC CCCC CCCC CCCC CCCF 0000 0000 F88F CCCC CCCC CCCC CCCC CCFF"
	$"0000 0000 F8FC CCCC CCCC CCCC CCCC CFCF 0000 0000 F88F FFFF CCCF"
	$"CCCC CCCC CFCF 0000 0000 F888 8888 FFFC CCCC CCCC CCCF 0000 0000"
	$"F888 8888 88FC CCFC CCCC CCFF 0000 0000 F888 8888 FFCF FFFF FFFC"
	$"CCFF 0000 0000 F888 88FF FFFF 8888 8FFF FFCF 0000 0000 F888 8888"
	$"8888 8888 8FFF FFFF 0000 0000 F888 8888 8888 8888 8888 888F 0000"
	$"0000 F888 8888 8888 8888 8888 888F 0000 0000 F888 8888 8888 8888"
	$"8888 888F 0000 0000 F888 8888 8888 8888 8888 888F 0000 0000 F888"
	$"8888 8888 8888 8888 888F 0000 0000 F888 8888 8888 8888 8888 888F"
	$"0000 0000 FFFF FFFF FFFF FFFF FFFF FFFF"
};


data 'cicn' (r_ApplicationIcon, sysheap, purgeable) {
	$"0000 0000 8008 0000 0000 0020 0020 0000 0000 0000 0000 0048 0000"
	$"0048 0000 0000 0002 0001 0002 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0004 0000 0000 0020 0020 0000 0000 0004 0000 0000 0020 0020"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0100 3FC0 0380 FFF0 0383"
	$"FFF8 0FFF FFFC 1FFF FFFC 3FFF FFFE 3FFF FFFE 7FFF FFFF FFFF FFFF"
	$"7FFF FFFF 03FF FFFF 00FF FFFF 03FF FFFF 0FC1 FFFF 0001 FE07 0000"
	$"0007 0000 0006 0000 000E 0000 001C 0000 0038 0000 0070 0000 00E0"
	$"0000 03C0 0000 1F00 0000 F000 0007 8000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0100 3FC0 0280 C030 0283 0008"
	$"0E7C 0004 1000 0004 2000 0002 2800 0002 4000 0801 8000 1001 7C40"
	$"1001 0380 0001 0088 0801 037F 8C05 0FC1 F3FD 0001 FE05 0000 0005"
	$"0000 0006 0000 000A 0000 001C 0000 0028 0000 0050 0000 00E0 0000"
	$"03C0 0000 1F00 0000 F000 0007 8000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0002 0000 FFFF FFFF FFFF 0001 DDDD DDDD DDDD 0003"
	$"0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0003 0000 0FFF F000 000D C000 F555 5F00 000D C00F 5555"
	$"55C0 00FD 7FF5 5555 5570 0355 5555 5555 5570 0D55 5555 5555 555C"
	$"0DD5 5555 5555 555C 3555 5555 55D5 5557 D555 5555 5755 5557 3FF5"
	$"7555 5755 5557 000F D555 5555 5557 0000 D5D5 55D5 5557 000F 7FFF"
	$"D5F5 5577 00FF F003 FF5F FFF7 0000 0003 FFFC 0037 0000 0000 0000"
	$"0037 0000 0000 0000 003C 0000 0000 0000 00DC 0000 0000 0000 03F0"
	$"0000 0000 0000 0DC0 0000 0000 0000 3700 0000 0000 0000 FC00 0000"
	$"0000 000F F000 0000 0000 03FF 0000 0000 0000 FF00 0000 0000 003F"
	$"C000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000"
};
