#	File:		Backwash.make
#   Target:     Backwash
#   Sources:    Backwash.a Backwash.c Backwash.r
#   Created:    Wednesday, Nov. 11, 1992 6:42:32 PM
#
#	Makefile for the Backwash printing extension.
#
#	Dave Hersey
#	Apple Developer Technical Support
#
#	11/11/92 - dmh - Created.
#	 1/28/93 - dmh - Cleaned up for a5 seed CD.
#	 3/26/93 - dmh - Updated for b1c2.
#	 8/24/93 - dmh - Updated for b2.
#	12/18/93 - dmh - Updated for b3.
#	 8/24/94 - dmh - Finalized.
#	 6/14/96 - cn  - Updated to support MPW Pro #19.
#

# Our creator type:

kCreator = 'SpIT'


#	Alias to the paths for the GX interface files.

GXLibs			= "{MPW}GXLibraries"
GXCompatIntf	= "{MPW}GX Compatibility Interfaces"


#	The assembly/C options we want to use.  Make sure you use
#	the -b2 option or your static strings will be treated as
#	global data, and the linker will have a hissy.

AsmOptions		= -sym off -i "{CIncludes}" -i {GXLibs} -i {GXCompatIntf} -case obj
CompileOptions	= -sym off -i "{CIncludes}" -i {GXLibs} -i {GXCompatIntf} -mbg full -b2


#	Alias to the compiled files.

OBJECTS = Backwash.a.o Backwash.c.o


Backwash.a.o  Backwash.make Backwash.a
	 Asm {AsmOptions} Backwash.a
Backwash.c.o  Backwash.make Backwash.c
	 SC {CompileOptions} Backwash.c

Backwash  Backwash.make Backwash.r {OBJECTS}
	Link	-ra =resSysHeap,resPurgeable	
			-c {kCreator}					
			-t 'pext'						
			-rt pext=0						
			-sg BackwashMPW					
			-m EntryPoint					
			{OBJECTS}						
			"{Libraries}"Interface.o		
			"{Libraries}"MacRuntime.o		
			-o Backwash;
	SetFile Backwash -a iB;
	Rez -i "{CIncludes}" -rd -o Backwash Backwash.r -append 
