/*________________________________________________________

	File: Spooling.r
	
	This is the Rez file for a printing extension that
	redirects spool files.

	Dave Hersey
	Apple Developer Technical Support

	 1/29/93 - dmh - Created.
	 4/27/93 - dmh - Updated for b1.
	 9/06/93 - dmh - Updated for b2.
			 - Switched to Exception.h assertion stuff
			   for error checking.
	12/18/93 - dmh - Updated for b3.
     2/22/94 - dmh - Updated for b4.
     5/03/94 - dmh - Updated for f2.
	 6/14/96 - cn  - Updated to support Universal Interfaces 2.1.

	(Note: resource types are in the Mark menu)
	
__________________________________________________________*/

#define SystemSevenOrLater		1

#include "SysTypes.r"
#include "Types.r"
// #include <GXPrinting.h>
#include "GXPrintingResTypes.r"

#define kCreator				'-34'
#define r_spoolingBNDL			128

#define r_spoolingPanel			6000
#define r_spoolingIcon			400
#define r_panelPICT				300

#define r_fileDlogID			7000
#define	r_StringRsrc			200


/*=================== Print Dialog Panel-related Resources =================== */


/*======= Resource description of the panel we add to the Print Dialog ======= */

resource gxPrintPanelType (r_spoolingPanel, sysheap, purgeable)
{
	"Spooling", smRoman, r_spoolingIcon, r_spoolingPanel
};


resource 'DLOG' (r_fileDlogID, sysheap, purgeable) {
	{0, 0, 215, 344},
	dBoxProc,
	invisible,
	noGoAway,
	0x0,
	r_fileDlogID,
	"",
	noAutoCenter
};


resource 'DITL' (r_fileDlogID, sysheap, purgeable) {
	{	/* array DITLarray: 10 elements */
		/* [1] */
		{157, 253, 177, 333},
		Button {
			enabled,
			"Open"
		},
		/* [2] */
		{126, 253, 146, 333},
		Button {
			enabled,
			"Cancel"
		},
		/* [3] */
		{0, 0, 0, 0},
		HelpItem {
			disabled,
			HMScanhdlg {
				-6043
			}
		},
		/* [4] */
		{30, 236, 46, 338},
		UserItem {
			enabled
		},
		/* [5] */
		{54, 253, 74, 333},
		Button {
			enabled,
			"Eject"
		},
		/* [6] */
		{82, 253, 102, 333},
		Button {
			enabled,
			"Desktop"
		},
		/* [7] */
		{51, 13, 181, 231},
		UserItem {
			enabled
		},
		/* [8] */
		{28, 13, 47, 231},
		UserItem {
			enabled
		},
		/* [9] */
		{113, 252, 114, 334},
		Picture {
			disabled,
			11
		},
		/* [10] */
		{5, 31, 25, 212},
		Button {
			enabled,
			"Select Current Directory:"
		}
	}
};


resource 'STR#' (r_StringRsrc, sysheap, purgeable) {
	{
		"Spooling extension Prefs",
	}
};


resource 'DITL' (r_spoolingPanel, sysheap, purgeable) {
	{
		/* [1] */
		{6, 96, 23, 246},
		StaticText {
			disabled,
			"Spool file redirection:"
		},
		/* [2] */
		{25, 122, 43, 168},
		RadioButton {
			enabled,
			"Off"
		},
		/* [3] */
		{25, 175, 43, 220},
		RadioButton {
			enabled,
			"On"
		},
		/* [4] */
		{56, 122, 76, 211},
		Button {
			enabled,
			"Spool to"
		},
		/* [5] */
		{85, 8, 101, 131},
		StaticText {
			disabled,
			"Current directory:"
		},
		/* [6] */
		{85, 132, 119, 331},
		StaticText {
			disabled,
			""
		},
		/* [7] */
		{121, 8, 137, 86},
		StaticText {
			disabled,
			"on volume:"
		},
		/* [8] */
		{121, 85, 154, 331},
		StaticText {
			disabled,
			""
		},
		/* [9] */
		{3, 301, 35, 332},
		Picture {
			disabled,
			r_panelPICT
		},
		/* [10] */
		{3, 3, 35, 35},
		Picture {
			disabled,
			r_panelPICT
		}
	}
};


/*======= 'xdtl' describing how to process the items in the Print Dialog Panel ======= */

resource 'xdtl' (r_spoolingPanel, sysheap, purgeable)
{
	{
// 			Type			tag	   tag item ID	 data offset  DITL item(s)

		RadioButtons	{ kCreator, gxPrintingTagID,	0,			{2,3}}
	};
};


/*================== Required Printing Extension Types and Resources ================= */


/*======= Scope ('scop') Resource ======= */

/*	This resource tells the printing system which drivers
	we work with.  (We work with all drivers.)  */

resource gxExtensionScopeType (gxDriverScopeID, sysheap, purgeable)
{
	{
		gxAnyPrinterType	
	};
};


/*======= Message Override ('over') Resource ======= */

/*	This resource tells the printing system which messages we
	want to override and where the override code is located. */

resource gxOverrideType (gxExtensionUniversalOverrideID, sysheap, purgeable)
{
	{
		// message to override	segmentID	offset into jump table

		gxInitialize,				0, 				 4,
		gxShutDown,					0,				 8,
		gxJobPrintDialog,			0, 				12,
		gxHandlePanelEvent,			0, 				16,
		gxCreateSpoolFile,			0,				20
	};
};


/*======= Extension Optimization ('eopt') Resource ======= */

/*	This resource tells the printing system at which times we'll
	be doing things so that it can optimize for us.  */

resource gxExtensionOptimizationType (gxExtensionOptimizationID, sysheap, purgeable)
{
	gxDontExecuteDuringImaging,
	gxDontNeedDeviceStatus,
	gxDontChangePageAtGXDespoolPage,
	gxDontChangePageAtGXImagePage,
	gxDontChangePageAtGXRenderPage,
	gxNotServerPresenceRequired,
	gxNotClientPresenceRequired
};


/*======= Extension Load ('load') Resource ======= */

/*	This resource tells the printing system where we want
	to be loaded in the handler chain.  We'd liked to be
	last to execute so we can change the spool file location
	just before it gets created.  Last to execute == first
	to load. */

resource gxExtensionLoadType (gxExtensionLoadID, sysheap, purgeable)
{
	gxExtensionLoadFirst
};


/*================ 'vers' resource that's required by all extensions ================== */

/*	The first byte of this resource must be zero or one for
	this extension to be compatible with GX v1.0.  The
	remainder of the data is ignored.						*/

resource 'vers' (gxPrintingExtensionBaseID, sysheap, purgeable) {
	0x0,
	0x0,
	release,
	0x0,
	verUS,
	"",
	""
};


/*=============== Standard 'vers', bundle and icon resources follow ================= */

resource 'vers' (1, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"1.0,  Apple Computer, Inc. 1992-1994"
};


resource 'vers' (2, sysheap, purgeable) {
	0x1,
	0x0,
	final,
	0x0,
	verUS,
	"1.0",
	"Spooling Extension v1.0"
};


resource 'BNDL' (r_spoolingBNDL, sysheap, purgeable) {
	kCreator,
	0,
	{
		'ICN#', {0, r_spoolingBNDL},
		'FREF', {0, r_spoolingBNDL}
	}
};


// You must include a 'pext' FREF for your extension!

resource 'FREF' (r_spoolingBNDL, sysheap, purgeable) {
	gxPrintingExtensionType,
	0,
	""
};


Type kCreator as 'STR ';

resource kCreator (0, "Owner resource", sysheap, purgeable) {
	"This printing extension redirects spool files during printing."
};


resource 'PICT' (r_panelPICT, sysheap, purgeable) {
	648,
	{0, 0, 32, 32},
	$"0011 02FF 0C00 FFFF FFFF 0000 0000 0000"
	$"0000 0020 0000 0020 0000 0000 0000 00A0"
	$"0082 0001 000A 0000 0000 0020 0020 0098"
	$"8020 0000 0000 0020 0020 0000 0000 0000"
	$"0000 0048 0000 0048 0000 0000 0008 0001"
	$"0008 0000 0000 003F 07FC 0000 0000 0000"
	$"0897 0000 0005 0000 FFFF FFFF FFFF 0001"
	$"CCCC CCCC FFFF 0002 9999 9999 FFFF 0003"
	$"EEEE EEEE EEEE 0004 CCCC CCCC CCCC 00FF"
	$"0000 0000 0000 0000 0000 0020 0020 0000"
	$"0000 0020 0020 0000 02E1 0002 E100 06F3"
	$"00F6 FFFA 000A F300 00FF F803 00FF FA00"
	$"0EF3 0002 FF03 03FD FFFE 03FE FFFC 0012"
	$"F300 0CFF 0303 FF00 00FF FF03 03FF 03FF"
	$"FC00 12F3 0003 FF03 03FF FE00 05FF 0303"
	$"FF03 FFFC 0012 F300 03FF 0303 FFFE 0005"
	$"FF03 03FF 03FF FC00 0EF3 0001 FF03 FAFF"
	$"0303 FF03 FFFC 0014 F700 00FF FE00 02FF"
	$"03FF FC04 04FF 03FF 03FF FC00 12F7 0000"
	$"FFFE 0001 FF03 FAFF 0303 FF03 FFFC 0010"
	$"F900 FCFF 0100 FFFB 03FD FF01 03FF FC00"
	$"13F8 00FE FF02 0000 FFFB 0305 FF00 FF03"
	$"03FF FC00 13F7 0000 FFFE 0000 FFFB 0301"
	$"FFFF FE03 00FF FC00 0AF3 00F9 FFFD 0300"
	$"FFFC 000A F100 00FF F803 00FF FC00 06F1"
	$"00F6 FFFC 0006 FA00 FDFF EC00 0BFB 0005"
	$"FF00 0100 01FF ED00 06FC 00F2 FFF5 000A"
	$"FC00 00FF F300 00FF F600 15FC 000F FF01"
	$"0001 0001 0001 0001 0001 0001 02FF F600"
	$"15FC 000F FF00 0100 0100 0100 0100 0100"
	$"0100 02FF F600 15FC 000F FF01 0001 0001"
	$"0001 0001 0001 0001 02FF F600 15FC 000F"
	$"FF00 0100 0100 0100 0100 0100 0100 02FF"
	$"F600 15FC 000F FF01 0001 0001 0001 0001"
	$"0001 0001 02FF F600 15FC 000F FF00 0100"
	$"0100 0100 0100 0100 0100 02FF F600 15FC"
	$"000F FF01 0001 0001 0001 0001 0001 0001"
	$"02FF F600 15FC 000F FF00 0100 0100 0100"
	$"0100 0100 0100 02FF F600 06FC 00F1 FFF6"
	$"0002 E100 02E1 0000 00A0 0083 00FF"
};


resource 'ics8' (r_spoolingBNDL, sysheap, purgeable) {
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF00"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FF00"
	$"FFF5 F5F5 F5F5 F5FF FFFF FFFF FFF5 FF00"
	$"FFF5 F5F5 F5F5 F5FF 0000 00FF FFF5 FF00"
	$"FFF5 F5F5 FFF5 F5FF 00FF 00FF FFF5 FF00"
	$"FFFF F5FF FFFF F5FF 00FF 00FF FFF5 FFFF"
	$"00FF F5F5 FFF5 F5FF 0000 0000 FFF5 F5FF"
	$"00FF F5F5 F5F5 F5FF FFFF FFFF FFF5 F5FF"
	$"00FF F5F5 F5F5 F5F5 FFFF FFFF FFF5 F5FF"
	$"00FF F5F5 FFFF FFF5 F5F5 F5F5 F5F5 F5FF"
	$"FFFF F5FF 002A 00FF FFFF FFF5 F5F5 FFFF"
	$"FFF5 F5FF 2A00 2A00 2A00 FFF5 F5F5 FF00"
	$"FFF5 F5FF 002A 002A 002A FFF5 F5F5 FF00"
	$"FFF5 F5FF 2A00 2A00 2A00 FFF5 F5F5 FF00"
	$"FFF5 F5FF FFFF FFFF FFFF FFF5 F5F5 FF00"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FFFF FF"
};


resource 'ics8' (r_spoolingIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF FFFF FFFF FF00 0000"
	$"0000 0000 0000 00FF 0000 00FF FF00 0000"
	$"0000 0000 FF00 00FF 00FF 00FF FF00 0000"
	$"0000 00FF FFFF 00FF 00FF 00FF FF00 0000"
	$"0000 0000 FF00 00FF 0000 0000 FF00 0000"
	$"0000 0000 0000 00FF FFFF FFFF FF00 0000"
	$"0000 0000 0000 0000 FFFF FFFF FF00 0000"
	$"0000 0000 FFFF FF00 0000 0000 0000 0000"
	$"0000 00FF 002A 00FF FFFF FF00 0000 0000"
	$"0000 00FF 2A00 2A00 2A00 FF00 0000 0000"
	$"0000 00FF 002A 002A 002A FF00 0000 0000"
	$"0000 00FF 2A00 2A00 2A00 FF00 0000 0000"
	$"0000 00FF FFFF FFFF FFFF FF"
};


resource 'ics4' (r_spoolingBNDL, sysheap, purgeable) {
	$"FFFF FFFF FFFF FFF0 F0C0 C0C0 C0C0 C0F0"
	$"FC0C 0C0F FFFF FCF0 F0C0 C0CF 000F F0F0"
	$"FC0C FC0F 0F0F FCF0 FFCF FFCF 0F0F F0FF"
	$"0F0C FC0F 0000 FC0F 0FC0 C0CF FFFF F0CF"
	$"0F0C 0C0C FFFF FC0F 0FC0 FFF0 C0C0 C0CF"
	$"FF0F 0C0F FFFC 0CFF F0CF C0C0 C0F0 C0F0"
	$"FC0F 0C0C 0CFC 0CF0 F0CF C0C0 C0F0 C0F0"
	$"FC0F FFFF FFFC 0CF0 FFFF FFFF FFFF FFF0"
};


resource 'ics4' (r_spoolingIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 000F FFFF F000 0000 000F 000F F000"
	$"0000 F00F 0F0F F000 000F FF0F 0F0F F000"
	$"0000 F00F 0000 F000 0000 000F FFFF F000"
	$"0000 0000 FFFF F000 0000 FFF0 0000 0000"
	$"000F 0C0F FFF0 0000 000F C0C0 C0F0 0000"
	$"000F 0C0C 0CF0 0000 000F C0C0 C0F0 0000"
	$"000F FFFF FFF0"
};


resource 'ics#' (r_spoolingBNDL, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"FFFE 8002 81FA 811A 895A DD5B 4909 41F9"
		$"40F9 4E01 D1E3 9022 9022 9022 9FE2 FFFE",
		/* [2] */
		$"FFFE FFFE FFFE FFFE FFFE FFFF 7FFF 7FFF"
		$"7FFF 7FFF FFFF FFFE FFFE FFFE FFFE FFFE"
	}
};


resource 'ics#' (r_spoolingIcon, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 01F8 0118 0958 1D58 0908 01F8"
		$"00F8 0E00 11E0 1020 1020 1020 1FE0",
		/* [2] */
		$"0000 0000 01F8 01F8 09F8 1DF8 09F8 01F8"
		$"00F8 0E00 1FE0 1FE0 1FE0 1FE0 1FE0"
	}
};


resource 'ICN#' (r_spoolingBNDL, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"7FFF FFF8 8000 0008 8003 FF88 8002 0088"
		$"8002 78E8 8002 4CA8 8002 44A8 8002 44A8"
		$"A002 FEA8 D022 82AA 9022 FEAD 10FA 07A9"
		$"1072 0521 1022 0621 1003 FC21 1000 8021"
		$"1000 FFE1 11E0 0001 1210 0001 17FF F001"
		$"1400 0809 9400 080D D400 080A A400 0808"
		$"8400 0808 8400 0808 8400 0808 8400 0808"
		$"8400 0808 87FF F808 8000 0008 7FFF FFF0",
		/* [2] */
		$"7FFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 DFFF FFFA 9FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 1FFF FFFF 1FFF FFFF 1FFF FFFF"
		$"1FFF FFFF 9FFF FFFF DFFF FFFA FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 FFFF FFF8"
		$"FFFF FFF8 FFFF FFF8 FFFF FFF8 7FFF FFF0"
	}
};


resource 'ICN#' (r_spoolingIcon, sysheap, purgeable) {
	{	/* array: 2 elements */
		/* [1] */
		$"0000 0000 0000 0000 0003 FF80 0002 0080"
		$"0002 78E0 0002 4CA0 0002 44A0 0002 44A0"
		$"0002 FEA0 0022 82A0 0022 FEA0 00FA 07A0"
		$"0072 0520 0022 0620 0003 FC20 0000 8020"
		$"0000 FFE0 01E0 0000 0210 0000 07FF F000"
		$"0400 0800 0400 0800 0400 0800 0400 0800"
		$"0400 0800 0400 0800 0400 0800 0400 0800"
		$"0400 0800 07FF F8",
		/* [2] */
		$"0000 0000 0000 0000 0003 FF80 0003 FF80"
		$"0003 FFE0 0003 FFE0 0003 FFE0 0003 FFE0"
		$"0003 FFE0 0023 FFE0 0023 FFE0 00FB FFE0"
		$"0073 FFE0 0023 FFE0 0003 FFE0 0000 FFE0"
		$"0000 FFE0 01E0 0000 03F0 0000 07FF F000"
		$"07FF F800 07FF F800 07FF F800 07FF F800"
		$"07FF F800 07FF F800 07FF F800 07FF F800"
		$"07FF F800 07FF F8"
	}
};


resource 'icl8' (r_spoolingBNDL, sysheap, purgeable) {
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFFF"
	$"FFFF FFFF FFFF FFFF FFF5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFF5"
	$"F5F5 F5F5 F5F5 F5F5 FFF5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFF5"
	$"F5FF FFFF FFF5 F5F5 FFFF FFF5 FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFF5"
	$"F5FF 0000 FFFF F5F5 FFF5 FFF5 FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFF5"
	$"F5FF 0000 00FF F5F5 FFF5 FFF5 FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FFF5"
	$"F5FF 0000 00FF F5F5 FFF5 FFF5 FF00 0000"
	$"FFF5 FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 FFF5"
	$"FFFF FFFF FFFF FFF5 FFF5 FFF5 FF00 0000"
	$"FFFF 00FF F5F5 F5F5 F5F5 FFF5 F5F5 FFF5"
	$"FF2B 2B2B 2B2B FFF5 FFF5 FFF5 FF00 FF00"
	$"FF00 00FF F5F5 F5F5 F5F5 FFF5 F5F5 FFF5"
	$"FFFF FFFF FFFF FFF5 FFF5 FFF5 FFFF F5FF"
	$"0000 00FF F5F5 F5F5 FFFF FFFF FFF5 FFF5"
	$"F5F5 F5F5 F5FF FFFF FFF5 FFF5 FFF5 F5FF"
	$"0000 00FF F5F5 F5F5 F5FF FFFF F5F5 FFF5"
	$"F5F5 F5F5 F5FF 00FF F5F5 FFF5 F5F5 F5FF"
	$"0000 00FF F5F5 F5F5 F5F5 FFF5 F5F5 FFF5"
	$"F5F5 F5F5 F5FF FFF5 F5F5 FFF5 F5F5 F5FF"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 FFFF"
	$"FFFF FFFF FFFF F5F5 F5F5 FFF5 F5F5 F5FF"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 FFF5 F5F5 F5FF"
	$"0000 00FF F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"FFFF FFFF FFFF FFFF FFFF FFF5 F5F5 F5FF"
	$"0000 00FF F5F5 F5FF FFFF FFF5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"
	$"0000 00FF F5F5 FF00 2A00 2AFF F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"
	$"0000 00FF F5FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF F5F5 F5F5 F5F5 F5F5 F5F5 F5FF"
	$"0000 00FF F5FF 0000 0000 0000 0000 0000"
	$"0000 0000 FFF5 F5F5 F5F5 F5F5 FFF5 F5FF"
	$"FF00 00FF F5FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FFF5 F5F5 F5F5 F5F5 FFFF F5FF"
	$"FFFF 00FF F5FF 002A 002A 002A 002A 002A"
	$"002A 0054 FFF5 F5F5 F5F5 F5F5 FF00 FF00"
	$"FFF5 FFF5 F5FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FFF5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5FF 002A 002A 002A 002A 002A"
	$"002A 0054 FFF5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FFF5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5FF 002A 002A 002A 002A 002A"
	$"002A 0054 FFF5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FFF5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5FF 002A 002A 002A 002A 002A"
	$"002A 0054 FFF5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFF5 F5F5 F5F5 F5F5 FF00 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 F5F5"
	$"F5F5 F5F5 F5F5 F5F5 F5F5 F5F5 FF00 0000"
	$"00FF FFFF FFFF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FFFF FFFF FFFF FFFF"
};


resource 'icl8' (r_spoolingIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF FFFF FFFF FF00 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFF5"
	$"F5F5 F5F5 F5F5 F5F5 FF00 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFF5"
	$"F5FF FFFF FFF5 F5F5 FFFF FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFF5"
	$"F5FF 0000 FFFF F5F5 FFF5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFF5"
	$"F5FF 0000 00FF F5F5 FFF5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFF5"
	$"F5FF 0000 00FF F5F5 FFF5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFF5"
	$"FFFF FFFF FFFF FFF5 FFF5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 FFF5"
	$"FF2B 2B2B 2B2B FFF5 FFF5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 FFF5"
	$"FFFF FFFF FFFF FFF5 FFF5 FF00 0000 0000"
	$"0000 0000 0000 0000 FFFF FFFF FF00 FFF5"
	$"F5F5 F5F5 F5FF FFFF FFF5 FF00 0000 0000"
	$"0000 0000 0000 0000 00FF FFFF 0000 FFF5"
	$"F5F5 F5F5 F5FF 00FF F5F5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 FF00 0000 FFF5"
	$"F5F5 F5F5 F5FF FFF5 F5F5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 FFFF"
	$"FFFF FFFF FFFF F5F5 F5F5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFF5 F5F5 F5F5 F5F5 F5F5 FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"FFFF FFFF FFFF FFFF FFFF FF00 0000 0000"
	$"0000 0000 0000 00FF FFFF FF00 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 FF00 2A00 2AFF 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF 0000 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 0000 0000 0000 0000 0000"
	$"0000 0000 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 002A 002A 002A 002A 002A"
	$"002A 0054 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 002A 002A 002A 002A 002A"
	$"002A 0054 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 002A 002A 002A 002A 002A"
	$"002A 0054 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 2A00 2A00 2A00 2A00 2A00"
	$"2A00 2A54 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF 002A 002A 002A 002A 002A"
	$"002A 0054 FF00 0000 0000 0000 0000 0000"
	$"0000 0000 00FF FFFF FFFF FFFF FFFF FFFF"
	$"FFFF FFFF FF"
};


resource 'icl4' (r_spoolingBNDL, sysheap, purgeable) {
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF F000"
	$"F0C0 C0C0 C0C0 C0C0 C0C0 C0C0 C0C0 F000"
	$"FC0C 0C0C 0C0C 0CFF FFFF FFFF FC0C F000"
	$"F0C0 C0C0 C0C0 C0F0 0000 0000 F0C0 F000"
	$"FC0C 0C0C 0C0C 0CF0 0FFF F000 FFFC F000"
	$"F0C0 C0C0 C0C0 C0F0 0F00 FF00 F0F0 F000"
	$"FC0C 0C0C 0C0C 0CF0 0F00 0F00 F0FC F000"
	$"F0C0 C0C0 C0C0 C0F0 0F00 0F00 F0F0 F000"
	$"FCFC 0C0C 0C0C 0CF0 FFFF FFF0 F0FC F000"
	$"FF0F C0C0 C0F0 C0F0 F0C0 C0F0 F0F0 F0F0"
	$"F00F 0C0C 0CFC 0CF0 FFFF FFF0 F0FC FF0F"
	$"000F C0C0 FFFF F0F0 0000 0FFF F0F0 F0CF"
	$"000F 0C0C 0FFF 0CF0 0000 0F0F 00FC 0C0F"
	$"000F C0C0 C0F0 C0F0 0000 0FF0 00F0 C0CF"
	$"000F 0C0C 0C0C 0CFF FFFF FF00 00FC 0C0F"
	$"000F C0C0 C0C0 C0C0 F000 0000 00F0 C0CF"
	$"000F 0C0C 0C0C 0C0C FFFF FFFF FFFC 0C0F"
	$"000F C0CF FFF0 C0C0 C0C0 C0C0 C0C0 C0CF"
	$"000F 0CF0 C0CF 0C0C 0C0C 0C0C 0C0C 0C0F"
	$"000F CFFF FFFF FFFF FFFF C0C0 C0C0 C0CF"
	$"000F 0F00 0000 0000 0000 FC0C 0C0C FC0F"
	$"F00F CFC0 C0C0 C0C0 C0CC F0C0 C0C0 FFCF"
	$"FF0F 0F0C 0C0C 0C0C 0C0C FC0C 0C0C F0F0"
	$"F0F0 CFC0 C0C0 C0C0 C0CC F0C0 C0C0 F000"
	$"FC0C 0F0C 0C0C 0C0C 0C0C FC0C 0C0C F000"
	$"F0C0 CFC0 C0C0 C0C0 C0CC F0C0 C0C0 F000"
	$"FC0C 0F0C 0C0C 0C0C 0C0C FC0C 0C0C F000"
	$"F0C0 CFC0 C0C0 C0C0 C0CC F0C0 C0C0 F000"
	$"FC0C 0F0C 0C0C 0C0C 0C0C FC0C 0C0C F000"
	$"F0C0 CFFF FFFF FFFF FFFF F0C0 C0C0 F000"
	$"FC0C 0C0C 0C0C 0C0C 0C0C 0C0C 0C0C F000"
	$"0FFF FFFF FFFF FFFF FFFF FFFF FFFF"
};


resource 'icl4' (r_spoolingIcon, sysheap, purgeable) {
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 0000 0000 0000 0000 0000"
	$"0000 0000 0000 00FF FFFF FFFF F000 0000"
	$"0000 0000 0000 00F0 0000 0000 F000 0000"
	$"0000 0000 0000 00F0 0FFF F000 FFF0 0000"
	$"0000 0000 0000 00F0 0F00 FF00 F0F0 0000"
	$"0000 0000 0000 00F0 0F00 0F00 F0F0 0000"
	$"0000 0000 0000 00F0 0F00 0F00 F0F0 0000"
	$"0000 0000 0000 00F0 FFFF FFF0 F0F0 0000"
	$"0000 0000 00F0 00F0 F0C0 C0F0 F0F0 0000"
	$"0000 0000 00F0 00F0 FFFF FFF0 F0F0 0000"
	$"0000 0000 FFFF F0F0 0000 0FFF F0F0 0000"
	$"0000 0000 0FFF 00F0 0000 0F0F 00F0 0000"
	$"0000 0000 00F0 00F0 0000 0FF0 00F0 0000"
	$"0000 0000 0000 00FF FFFF FF00 00F0 0000"
	$"0000 0000 0000 0000 F000 0000 00F0 0000"
	$"0000 0000 0000 0000 FFFF FFFF FFF0 0000"
	$"0000 000F FFF0 0000 0000 0000 0000 0000"
	$"0000 00F0 C0CF 0000 0000 0000 0000 0000"
	$"0000 0FFF FFFF FFFF FFFF 0000 0000 0000"
	$"0000 0F00 0000 0000 0000 F000 0000 0000"
	$"0000 0FC0 C0C0 C0C0 C0CC F000 0000 0000"
	$"0000 0F0C 0C0C 0C0C 0C0C F000 0000 0000"
	$"0000 0FC0 C0C0 C0C0 C0CC F000 0000 0000"
	$"0000 0F0C 0C0C 0C0C 0C0C F000 0000 0000"
	$"0000 0FC0 C0C0 C0C0 C0CC F000 0000 0000"
	$"0000 0F0C 0C0C 0C0C 0C0C F000 0000 0000"
	$"0000 0FC0 C0C0 C0C0 C0CC F000 0000 0000"
	$"0000 0F0C 0C0C 0C0C 0C0C F000 0000 0000"
	$"0000 0FFF FFFF FFFF FFFF F0"
};

