/*________________________________________________________

	File: UserAlert.h

	C header file for a printing extension that adds an
	alert item to the desktop printer menu and displays
	it during despooling.

	Dave Hersey
	Apple Developer Technical Support

	12/01/92 	- dmh - created.
	12/22/93	- dmh - updated for b3.
	 5/03/94	- dmh - updated for f2.

	(Note: labels are in the Mark menu.)
	
__________________________________________________________*/

#define kCreator				'DTPA'	/* Our creator type.			*/

#define kNumMenuItemsWeAdded	1		/* Number of items we added to	*/
										/* DTP's menu.					*/

#define kAlertItem				1		/* Our DTP menu item to alert	*/
										/* the user.					*/

										/* ID of our menu item's STR.	*/
#define r_AlertString		gxPrintingTagID

										/* ID of stat res.	*/
#define kUserAttentionID	gxPrintingDriverBaseID + 1

#define kAlertStatusIdx			1		/* The index of our alert item				*/
										/* in the stat resource.					*/

// Prototypes:

OSErr	NewGetDTPMenuList(MenuHandle aMenu);
OSErr	NewDTPMenuSelect(short itemID, Boolean *done);
OSErr	NewDespoolPage(gxSpoolFile thePrintFile, long pageNumber,
					   gxFormat pageFormat, gxShape *pagePicture,
					   Boolean *formatChanged);
