/* ==========================================================================================

	HEADER FILE:	PackageRoutines.h

	COPYRIGHT:		(c) 1992-1994 Apple Computer Inc.
						All rights reserved.

	PURPOSE:		This is the header file for the interface routines in
					the PackageRoutines.c file. 
						
	HISTORY:		Date			By			Description
					-----			---		    ----------------------------------
					1/20/92			Harita		Initial release
			 	   12/20/93			dmh			Sync'd up for GX 1.0b3.
	 				8/28/94			dmh			Sync'd up for GX 1.0.1.

========================================================================================== */

/* =================================== INTERFACE ROUTINES =================================== */

/* ======= StartOfPagePlot =======

	StartOfPagePlot is called to send the HPGL commands to the device for beginning a new page.
	This routine issues a re-initialization command to the plotter.
*/
OSErr StartOfPagePlot (					//	(out)	error code				
);


/* ======= EndOfPagePlot =======

	EndOfPagePlot is called to send the HPGL commands to the device for ending the page just
	plotted.  This routine issues a "Return pen to carousel" HPGL command.
*/
OSErr EndOfPagePlot (				//	(out)	error code				
);

/* ======= SwitchPens =======

	SwitchPens is called to send the HPGL commands to the device for switching to a new pen.
	The indexOfPen parameter specifies the index (in the carousel) of the new pen.
*/
OSErr SwitchPens (						//	(out)	error code				
	long				indexOfPen);	//	(in)	index (into carousel) of the pen to switch to



/* ======= PlotLine =======

	PlotLine is called to send the HPGL commands to the device for plotting a line.
	The line to draw is specified by the lineToDraw shape.
*/
OSErr PlotLine (						//	(out)	error code					
	gxShape				lineToDraw,		//	(in)	Graphics shape describing the line to draw
	gxMapping			theMapping);	//	(in)	mapping use to scale points to device resolution


/* ======= PlotRectangle =======

	PlotRectangle is called to send the HPGL commands to the device for plotting a non-filled
	rectangle.  The rectangle to draw is specified by the rectToDraw shape.
*/
OSErr PlotRectangle (					//	(out)	error code					
	gxShape				rectToDraw,		//	(in)	Graphics shape describing the rectangle to draw
	gxMapping			theMapping);	//	(in)	mapping use to scale points to device resolution


/* ======= PlotPolygon =======

	PlotPolygon is called to send the HPGL commands to the device for plotting a non-filled
	polygon.  The polygon to draw is specified by the polyToDraw shape.
*/
OSErr PlotPolygon (						//	(out)	error code					
	gxShape				polyToDraw,		//	(in)	Graphics shape describing the polygon to draw
	gxMapping			theMapping);	//	(in)	mapping use to scale points to device resolution

OSErr	MyDumpBuffer(
	short		n);
