/* ------------------------------------------------------------------------------
FILENAME
	UniversalMessageIntf.h

DESCRIPTION
	This module contains the constant and type declarations for the 
	UniversalMessageIntf.c file.  That file contains the routines which override
	the universal imaging messages that are supported by the ImageWriter LQ
	driver.
	
COPYRIGHT
	 Copyright Apple Computer, Inc. 1992-1994
	 All rights reserved. 

	12/20/93		dmh	Sync'd with the shipping 1.0b3 GX driver.
	 8/28/94		dmh	Sync'd with the shipping 1.0.1 GX driver.

-------------------------------------------------------------------------------- */

#ifndef __UNIVERSALMESSAGEINTF__
#define __UNIVERSALMESSAGEINTF__

/*********************************************************************************
 *        									CONSTANTS												*
 *********************************************************************************/

// Constants for accessing config file information

#define	kIWLQConfigType				'ICFG'
#define	kIWLQConfigID					128			
	

/*********************************************************************************
 *        									 TYPES		 											*
 *********************************************************************************/

// SpecGlobalsRec - Structure containing the LaserWriterSC's global variables 

typedef struct
{
	gxRasterImageDataHdl	hImageData;			// image data for a page 
	short						leftMargin;			//	pixel offset of the left margin for the current page
	PicHandle				sheetFeederPICT;	//	Handle to the sheetfeeder picture to display in the paper
														// configuration dialog
	long						pagePrinting;		//	Number of the page that's currently being printed
	Handle					draftTable;			//	Handle to table of character info. used in draft printing
}	SpecGlobalsRec,	 
	*SpecGlobalsPtr,	  
	**SpecGlobalsHdl;
	

// IWLQConfigInfo - Configuration info stored in the desktop printer file

typedef struct
{
	Boolean		hasColorRibbon;	//	true if printer has color ribbon; false otherwise
	char			numTrays;			//	number of sheet feeder trays attached to the printer; zero if no sheet feeder
}	IWLQConfigInfo,
	*IWLQConfigInfoPtr,
	**IWLQConfigInfoHdl;


/*********************************************************************************
 *        									DEFINES													*
 *********************************************************************************/

#define kSpecGlobalsRecLen	 sizeof(SpecGlobalsRec)

// F2S - for converting fixed numbers to shorts 
#define F2S(a) FixedToInt(a)

#endif __UNIVERSALMESSAGEINTF__